<!DOCTYPE HTML>
<html xmlns:layout="http://www.w3.org/1999/xhtml" layout:decorate="~{layout/main}">
<head>
    <title>Bull-EzyVolt</title>
    <script src="/js/gauge.js"></script>
    <style type="text/css">
	.myCalss{
		margin-left: -190px;
	}
</style>
</head>
<body>
<div layout:fragment="content">
    <nav class="navbar navbar-expand-lg navbar-transparent  bg-primary  navbar-absolute">

    </nav>
    <div class="panel-header panel-header-sm">
    </div>

    <div class="content" id="list_Machine">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title" style="float:left;"> Machines List </h4>
                        <h4 class="card-title btn" style="float:right; background-color: #fd7e14; color:#fff;"><a
                                href="/machines/new" style="color:#fff;text-decoration: none;">Add New</a></h4>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table id="MachinesList" class="table">
                                <thead class=" text-primary">
                                    <th>Machine Id</th>
                                    <th>Machine Name</th>
                                    <th>Count</th>
                                    <th>Status</th>
                                    <th>Action</th>
                                </thead>
                                <tbody id="ListMachines">
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="content" id="machineUpdate">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <h5 class="title">Update Machines</h5>
                    </div>
                    <div class="card-body" id="edit_Machine">
                        <form>
                            <div class="row">
                                <div class="col-md-12">
                                    <div>
                                        <label id="error_msg" class="bmd-label-floating"></label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label for="MachineName"><strong>Machine Name *</strong></label>
                                    <input type="text" class="form-control" name="machineName" id="machineName" placeholder="name" maxlength="30">
                                    <span id="machineNameError" style="display:none;">Enter Your Machine Name</span>
                                </div>
                            </div>
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label><strong>Machine Id (Disabled)</strong></label>
                                    <input type="text" class="form-control" disabled="" id="machineId" placeholder="">
                                </div>
                            </div>
                            <div class="col-md-5 ">
                                <div class="form-group">
                                    <label for="MachineStatus"><strong>Machine Status *</strong></label>
                                    <select id="machineStatus" class="form-control">
                                        <option value="On">On</option>
                                        <option value="Off">Off</option>
                                    </select>
                                </div>
                            </div>


                            <div class="col-md-5">
                                <div class="form-group">
                                    <label for="machineBaseReading"><strong>Machine Base Reading *</strong></label>
                                    <input type="text" class="form-control" id="machineBaseReading" placeholder="reading" maxlength="10">
                                </div>
                            </div>
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label for="MachineLocation"><strong>Machine Location *</strong></label>
                                    <input type="text" class="form-control" id="machineLocation" placeholder="location" maxlength="25">
                                </div>
                            </div>

                            <div class="col-md-5">
                                <h4 class="card-title btn" style="float:right; background-color: #fd7e14; color:#fff; margin-left: 50px">
                                <a onclick="updateMachines();" id="saveBtn" style="color:#fff;text-decoration: none;"> Save </a>
                                </h4>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

<script>

    $(document).ready(function() {
         loadMachinesList();
         $("#machineUpdate").hide();
    });

    // Load Machine Table
    function loadMachinesList() {
       $("#machineUpdate").hide();
       $.ajax({
         contentType: "application/json;charset=UTF-8",
         url: "/api/v1/machines/",
         dataType: "json",
         type: "GET",
         success:function(data){
            var itemHTML="";
            for(i=0; i<data.length;i++){
              itemHTML=itemHTML+"<tr>";
              itemHTML=itemHTML+"<td>"+data[i].mcid+"</td>";
              itemHTML=itemHTML+"<td>"+data[i].machineName+"</td>";
              itemHTML=itemHTML+"<td>"+data[i].idealVal+"</td>";
              itemHTML=itemHTML+"<td>"+data[i].mcstatus+"</td>";
              itemHTML=itemHTML+"<td>";
              itemHTML=itemHTML+"<a href='javascript:void(0);' title='Edit' onclick='getMachines(\""+$.trim(data[i].mcid)+"\")'";
              itemHTML=itemHTML+"<i class='now-ui-icons design_scissors'></i></a>";
              itemHTML=itemHTML+"<a href='javascript:void(0);' onclick='deleteMachines(\""+$.trim(data[i].mcid)+"\")'  title='Delete' style='margin-left: 20px';>";
              itemHTML=itemHTML+"<i class='fa fa-trash'></i></a>";
              itemHTML=itemHTML+ "  </td></tr>";
            }
            $("#ListMachines").html(itemHTML);
         }
       });
    }

     // Get MachineId
     function getMachinesId(mcid){

            $.ajax({
               contentType: "application/json;charset=UTF-8",
               url: "/api/v1/machines/"+mcid,
               dataType: "json",
               type: "GET",
               success:function(data){
                  getMachines(data)
               }
            });
     }

     // Get Machines
     function getMachines(mcid){
           $("#machineUpdate").show();
           $("#list_Machine").hide();
           $.ajax({
                 contentType: "application/json;charset=UTF-8",
                 url: "/api/v1/machines/"+mcid,
                 dataType: "json",
                 type: "GET",
                 cache: !1,
                 processData: !1,
                 success:function(data){
                 //console.log(data);
                    $('#machineName').val(data.machineName);
                    $('#machineId').val(data.mcid);
                    $('#machineStatus').val(data.mcstatus);
                    $('#machineBaseReading').val(data.idealVal);
                    $('#machineLocation').val(data.mclocation);
                 }
           });
     }

     // Delete Machine
     function deleteMachines(mcid) {
        location.reload();
        $.ajax({
            contentType: "application/json;charset=UTF-8",
            url: "/api/v1/machines/"+mcid,
            dataType: "json",
            type: "DELETE",
            cache: !1,
            processData: !1,
            success:function(data){
            //console.log(data);
            loadMachinesList();
            }
        });
     }

     // Update Machines
     function updateMachines() {

               if($.trim($('#machineName').val()) == "") {
                    $('#error_msg').html("Machine Name should not be empty");
                    return false;
               }else if($.trim($('#machineStatus').val()) == "") {
                    $('#error_msg').html("Status should not be empty");
                    return false;
               }else if($.trim($('#machineBaseReading').val()) == "") {
                    $('#error_msg').html("Base reading should not be empty");
                    return false;
               }else if($.trim($('#machineLocation').val()) == "") {
                    $('#error_msg').html("Location should not be empty");
                    return false;
               }

        $('#error_msg').html('');
        var machineData={
            machineName:$("#machineName").val(),
            mcid:$("#machineId").val(),
            mcstatus:$("#machineStatus option:selected").val(),
            idealVal:$("#machineBaseReading").val(),
            mclocation:$("#machineLocation").val(),
        }

        $.ajax({
             contentType: "application/json;charset=UTF-8",
             url: "/api/v1/machines/update",
             dataType: "json",
             type: "POST",
             cache: !1,
             processData: !1,
             data: JSON.stringify(machineData),
             complete: function(xhr) {
                if(xhr.status==201){
                    $('div .btn-info').removeAttr("disabled");
                    $("#error_msg").show().html("Machine has been Updated successfully").removeClass('label-info').addClass('label-success');
                    window.location.href = "/machines";
                }else if(xhr.status==401){
                    $('div .btn-info').removeAttr("disabled");
                    $("#error_msg").show().html("The Machine was not Updated...Please try again. ").removeClass('label-info').addClass('label-danger');
                }
             }
        });
     }



</script>
</div>
</body>